Save a specific body section to a file

- « imap_rfc822_write_address

- imap_scan »

- PHP Manual
- IMAP Functions
- Save a specific body section to a file

# imap_savebody

(PHP 5 >= 5.1.3, PHP 7, PHP 8)

imap_savebody — Save a specific body section to a file

### Description

imap_savebody(
IMAP\Connection `$imap`,
resource|string|int `$file`,
int `$message_num`,
string `$section` = "",
int `$flags` = 0
): bool

Saves a part or the whole body of the specified message.

### Parameters

`imap`

  An IMAP\Connection instance.

`file`

  The path to the saved file as a string, or a valid file descriptor returned by fopen().

`message_num`

  The message number

`section`

  The part number. It is a string of integers delimited by period which index into a body part list as per the IMAP4 specification

`flags`

  A bitmask with one or more of the following:

  - `FT_UID` - The `message_num` is a UID
  - `FT_PEEK` - Do not set the \Seen flag if not already set
  - `FT_INTERNAL` - The return string is in internal format, will not canonicalize to CRLF.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `imap` parameter expects an IMAP\Connection instance now; previously, a valid `imap` resource was expected.

### See Also

- imap_fetchbody() - Fetch a particular section of the body of the message